Bug 1465157 - Launching a persistent application with a forbidden amount of storage causes poor usability
Launching a persistent application with a forbidden amount of storage causes ...
Status: NEW
Product: OpenShift Online
Classification: Red Hat
Component: Unknown (Show other bugs)
3.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Abhishek Gupta
Wenjing Zheng
: OnlineStarter
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 16:03 EDT by Will Gordon
Modified: 2017-08-17 02:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Gordon 2017-06-26 16:03:40 EDT
Description of problem:
Launching a persistent application, like MySQL Persistent, and specifying a volume capacity below the minimum storage value, causes the application to deploy, but without the PV, which can cause a confusing developer workflow.

Version-Release number of selected component (if applicable):
OpenShift Master:  v3.5.5.28 (online version 3.5.0.20)
Kubernetes Master: v1.5.2+43a9be4

How reproducible:
Always

Steps to Reproduce:
1. Add MySQL Persistent to a project
2. Specify a Volume Capacity of 256Mi
3. Click create

Actual results:
Application is created, and a warning is shown after the fact

Expected results:
A warning should be shown before the application is allowed to be created, allowing the user to rectify the issue and continue to deploy the application as intended.

Additional info:
Comment 1 Steve Speicher 2017-07-18 21:35:25 EDT
We could easily fix this for Online Starter by just removing the parameter in the template (just setting it directly). It is slightly a hack but will fix the problem probably for over 80% of the cases.

Note You need to log in before you can comment on or make changes to this bug.